## nvidia-graphics-drivers 418.113

=== debian/changelog ===
nvidia-graphics-drivers (418.113-1) buster; urgency=medium

  * New upstream long lived branch release 418.113 (2019-11-05).
    - Updated the Module.symvers sanity check, which is part of the NVIDIA
      kernel module build process, to accommodate the recent addition of a
      new field in the Module.symvers file format. This fixes the error
      "The Module.symvers file is missing [...]" seen during driver
      installation or DKMS rebuilds with Linux 5.4 RC kernels.
    - Fixed a bug that prevented NVIDIA GPUs from entering the low-power
      D3 state when entering suspend-to-idle (s2idle). Note that on some
      systems this may expose an existing timing issue in the Linux kernel;
      see the "Known Issues and Workarounds" section of the "Configuring
      Power Management Support" chapter of the README for more details.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * debian/gen-control.pl: Support substitutions in the Architecture field and
    skip packages with empty or commented Architecture field (430.50-2).
  * Prepare infrastructure for packaging Tesla 418 driver releases (available
    for amd64 (including some i386 libs) and ppc64el) (430.50-2).
  * Create and commit tarball symlinks for legacy branches (430.64-1).
  * nvidia-detect: Add PCI ID list for 418.74 in buster (430.64-2).
  * nvidia-detect: Add support for Tesla 418 drivers (430.64-2).
  * nvidia-detect: The 340xx legacy driver will not be in bullseye (430.64-5).
  * Allow alternative libnvidia-{tesla,legacy-*}-ml1 packages to substitute
    libnvidia-ml1 (430.64-2).
    - Add Provides: libnvidia-ml.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-ml.so.1 through
      the symbols file.
  * Allow alternative libnvidia-{tesla,legacy-*}-cuda1 packages to substitute
    libcuda1 in third-party packages (430.64-3).
    - Add Provides: libcuda.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libcuda.so.1 through the
      symbols file.
  * Use substitution to keep Standards-Version in sync (430.64-5).
  * Insert '-' between suffix ending with digit and SOVERSION (435.21-3).
  * Rename "legacy" variables to more generic "variant" (440.44-2).
  * bug-control: Report information about more (virtual) packages (440.64-2).
  * Prepare infrastructure for packaging Tesla 440 driver releases (available
    for amd64 (including some i386 libs) and ppc64el) (440.64-2).
  * Bump Standards-Version to 4.5.0. No changes needed.
  * Update lintian overrides.
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Apr 2020 00:47:30 +0200

nvidia-graphics-drivers (418.88-1) unstable; urgency=medium

  * New upstream long lived branch release 418.88 (2019-07-29).
    - Added support for the following GPUs: Quadro P520, Quadro RTX 3000,
      Quadro RTX 3000 with Max-Q Design, Quadro RTX 4000 with Max-Q Design,
      Quadro RTX 5000 with Max-Q Design, Quadro T1000, Quadro T2000.
    - Fixed a bug, introduced in 415.13, that caused audio over DisplayPort to
      not work in some configurations.
    * Improved compatibility with recent Linux kernels.
      (Closes: #934290, #934344, #934648)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Bump Standards-Version to 4.4.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Aug 2019 23:41:02 +0200

nvidia-graphics-drivers (418.87.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.87.01 (2019-10-03).
  * New upstream Tesla release 418.87.00 (2019-08-13).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 26 Oct 2019 19:36:41 +0200
