## nvidia-graphics-drivers 418.152.00

=== debian/changelog ===
nvidia-graphics-drivers (418.152.00-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Jul 2020 00:13:47 +0200

nvidia-graphics-drivers (418.152.00-1) buster; urgency=medium

  * New upstream Tesla release 418.152.00 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031

  [ Andreas Beckmann ]
  * Use amd64 Tesla releases for buster.
  * Refresh patches.
  * Update lintian overrides.
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jun 2020 18:01:24 +0200

nvidia-graphics-drivers (418.126.02-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.126.02 (2020-02-28).
    - Added support for the following GPU: Quadro T2000 with Max-Q Design.

  [ Andreas Beckmann ]
  * Import drmP.patch from Fedora and port it from 390.xx to 418.xx to fix
    kernel module build for Linux 5.5.  (Closes: #951091)
  * Backport nv_ioremap_nocache changes from 440.64 and nv_proc_ops_t and
    nv_timeval changes from 440.82 to fix kernel module build for Linux 5.6.
    (Closes: #956458)
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7,
    thanks to Jiri Palecek.  (Closes: #960735)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Mar 2020 23:08:06 +0100

nvidia-graphics-drivers (418.116.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.116.00 (2019-12-09).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Dec 2019 14:29:50 +0100

nvidia-graphics-drivers (418.74-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Jun 2019 12:53:57 +0200

nvidia-graphics-drivers (418.56-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 May 2019 00:49:48 +0200

nvidia-graphics-drivers (410.104-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Mar 2019 05:21:02 +0100

nvidia-graphics-drivers (390.87-8~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Feb 2019 12:25:40 +0100
