## nvidia-graphics-drivers 418.181.07

=== debian/changelog ===
nvidia-graphics-drivers (418.181.07-1) buster; urgency=medium

  * New upstream Tesla release 418.181.07 (2021-01-19).
    * Fixed CVE-2021-1056.  (Closes: #979670)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5142
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Allow alternative libnvidia-{tesla,legacy}-*-cfg1 packages to substitute
    libnvidia-cfg1 in third-party packages (450.57-2).
    - Add Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-cfg.so.1 through
      the symbols file.
  * Test that the patches can be applied to the module source (450.66-1).
  * nvidia-kernel-dkms: Ship with unapplied patches and apply the patches
    while building kernel modules (450.66-1).
  * Simplify generating the -source and -dkms packages (450.66-1).
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1. No changes needed.
  * Upload to buster.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Jan 2021 19:12:36 +0100

nvidia-graphics-drivers (418.165.02-2) UNRELEASED; urgency=medium

  * Backport drm_prime_pages_to_sg_has_drm_device_arg and get_dma_ops changes
    from 455.45.01 to fix kernel module build for Linux 5.10.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Dec 2020 13:08:40 +0100

nvidia-graphics-drivers (418.165.02-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.165.02 (2020-09-30).

  [ Andreas Beckmann ]
  * Backport get_user_pages_remote, vga_tryget, smp_read_barrier_depends,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Oct 2020 03:21:07 +0100

nvidia-graphics-drivers (418.152.00-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:48:01 +0200

nvidia-graphics-drivers (418.126.02-4) UNRELEASED; urgency=medium

  [ Jiri Palecek ]
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7.
    (Closes: #960735)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 May 2020 17:17:13 +0200

nvidia-graphics-drivers (418.126.02-3) UNRELEASED; urgency=medium

  * Backport nv_ioremap_nocache changes from 440.64 and nv_proc_ops_t and
    nv_timeval changes from 440.82 to fix kernel module build for Linux 5.6.
    (Closes: #956458)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Apr 2020 03:00:13 +0200

nvidia-graphics-drivers (418.126.02-2) UNRELEASED; urgency=medium

  * Update lintian overrides.
  * Import drmP.patch from Fedora and port it from 390.xx to 418.xx to fix
    kernel module build for Linux 5.5.  (Closes: #951091)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Apr 2020 23:37:32 +0200

nvidia-graphics-drivers (390.141-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.141 (2021-01-07).
    * Fixed CVE-2021-1056.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5142
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "'struct mm_struct' has no member named 'mmap_sem'".
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "too many arguments to function '__vmalloc'".
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update glvnd symbols files.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Jan 2021 03:31:58 +0100

nvidia-graphics-drivers (390.138-4) UNRELEASED; urgency=medium

  * Backport drm_prime_pages_to_sg_has_drm_device_arg and get_dma_ops changes
    from 455.45.01 to fix kernel module build for Linux 5.10.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Dec 2020 00:28:48 +0100

nvidia-graphics-drivers (390.138-3) UNRELEASED; urgency=medium

  * Backport get_user_pages_remote, vga_tryget,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Oct 2020 01:00:51 +0100

nvidia-graphics-drivers (390.138-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc changes from 450.57
    and work around mmap_{sem=>lock} rename
    to fix kernel module build for Linux 5.8.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:58:11 +0200

nvidia-graphics-drivers (390.132-4) UNRELEASED; urgency=medium

  [ Jiri Palecek ]
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 May 2020 17:13:15 +0200

nvidia-graphics-drivers (390.132-3) UNRELEASED; urgency=medium

  * Backport nv_ioremap_nocache changes from 440.64 and nv_proc_ops_t and
    nv_timeval changes from 440.82 to fix kernel module build for Linux 5.6.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Apr 2020 23:33:51 +0200

nvidia-graphics-drivers (390.132-2) UNRELEASED; urgency=medium

  [ Luca Boccassi ]
  * Import drmP.patch from Fedora to fix kernel module build failure for
    Linux 5.5 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Apr 2020 20:20:53 +0200

nvidia-graphics-drivers (390.116-2) UNRELEASED; urgency=medium

  [ Kevin Locke ]
  * Backport changes from 418.74 and 430.14 to support building the module for
    Linux 5.1 and 5.2.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jul 2019 15:15:52 +0200


