=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
- Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git
@@ -21,7 +20,7 @@
  po-debconf,
  libglvnd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.nvidia.com
 XS-Autobuild: yes
 
@@ -112,7 +111,7 @@
  ${nvidia}-alternative (= ${binary:Version}),
  ${nvidia}-alternative--kmod-alias,
  nvidia-kernel-common (>= 20151021),
- nvidia-modprobe (>= 352),
+ nvidia-modprobe (>= ${nvidia:Version:major}),
  ${misc:Depends}
 Provides:
  nvidia-kernel-support-any,
@@ -286,6 +285,7 @@
  ${nvidia}-alternative (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Provides:
+ libnvidia-cfg.so.1 (= ${nvidia:Version}),
  libnvidia-cfg1-any,
 Breaks:
  libgl1-${nvidia}-glx (<< 355.11-5),
@@ -356,4 +356,3 @@
  ${misc:Depends}
 Recommends:
  ${nvidia}-driver-libs-nonglvnd-i386 (= ${binary:Version}) [amd64],
- libglx-${nvidia-}0 (= ${binary:Version}),
