=== debian/rules ===
--- 
+++ 
@@ -94,6 +94,7 @@
 TEMPLATES	:= $(wildcard debian/*.in debian/module/debian/*.in debian/module/debian/patches/*.in debian/detect/*.in)
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= debian/module/debian/changelog
+AUTOGEN		+= debian/module/debian/bug-control
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
 AUTOGEN		+= debian/bug-control
 AUTOGEN		+= debian/substvars
@@ -102,19 +103,12 @@
 AUTOKEEP	 = debian/watch debian/control
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
-module_source	 = debian/$(nvidia)-kernel-source/usr/src/modules/$(nvidia)-kernel
-module_txz	 = $(subst /modules/,/,$(module_source)).tar.xz
-dkms_source	 = debian/$(nvidia)-kernel-dkms/usr/src/$(module)-$(version)
-
 empty		 =
 space		 = $(empty) $(empty)
 comma		 = ,
 xorg_depends	 = $(foreach abi, $(XORG_ABI_LIST), xorg-video-abi-$(abi) [$${nvidia:arch:has-driver}] |)
 xorg_depends	+= $(comma) xserver-xorg-core $(XORG_BOUND) [$${nvidia:arch:has-driver}]
 xorg_provides	 = xorg-driver-video [$${nvidia:arch:has-driver}]
-
-# Use the amd64 changelog for all architectures to be M-A:same safe.
-upstream_changelog	 = NVIDIA-Linux-amd64/NVIDIA_Changelog
 
 
 .PHONY: autogen prepare patch
@@ -202,3 +196,14 @@
 	$(RM) copyright.tmp LICENSE.tmp
 
 .PHONY: binary binary-arch binary-indep build clean install
+binary binary-arch binary-indep build clean install:
+	dh $@ --with dkms
+
+override_dh_auto_clean:
+	$(RM) -r .pc
+	$(RM) NVIDIA-Linux
+	$(RM) -r $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
+	$(RM) -r build
+	$(RM) -r glvnd nonglvnd
+	$(RM) -r kernel-source-tree
+	$(RM) nvidia.ids nv-readme.ids pci.ids.nvidia*
