## nvidia-graphics-drivers 418.226.00

=== debian/changelog ===
nvidia-graphics-drivers (418.226.00-3) buster; urgency=medium

  * The Tesla 418 driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://docs.nvidia.com/datacenter/tesla/drivers/

  * Generate tight dependencies on libnvidia*-glcore/libnvidia*-eglcore
    (470.57.02-3).
  * bug-script: Show the nvidia and glx alternatives (470.82.00-1).
  * nvidia-alternative: libnvidia-cfg.so.1 on its own is not
    sufficient to activate a nvidia alternative (470.82.00-1).
    (Closes: #996595)
  * Fix bashisms in upstream scripts (470.82.00-1).
  * libegl1-mesa is a transitional package since buster (470.82.00-1).
  * nvidia-kernel-support: Provide
    /etc/modprobe.d/nvidia-options.conf as a template taking into account the
    module renaming. This is a slave alternative of the nvidia alternative
    (470.86-1).  (Closes: #999670)
  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Aug 2022 10:41:33 +0200

nvidia-graphics-drivers (418.226.00-2) UNRELEASED; urgency=medium

  * Backport stdarg.h and stddef.h changes from 495.44 to fix kernel module
    build for Linux 5.16.
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 25 Feb 2022 13:48:18 +0100

nvidia-graphics-drivers (418.226.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.226.00 (2021-10-26).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Nov 2021 10:57:00 +0100

nvidia-graphics-drivers (418.211.00-2) UNRELEASED; urgency=medium

  * Backport drm_device_has_pdev and set_current_state changes from 470.63.01
    to fix kernel module build for Linux 5.14.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Sep 2021 00:40:47 +0200

nvidia-graphics-drivers (418.211.00-1) buster; urgency=medium

  * New upstream Tesla release 418.211.00 (2021-07-20).
    * Fixed CVE-2021-1093, CVE-2021-1094, CVE-2021-1095.  (Closes: #991351)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5211

  [ Andreas Beckmann ]
  * Refresh patches.
  * nvidia-driver-libs: Add Recommends: libnvidia-encode1
    (460.91.03-1).  (Closes: #989885)
  * debian/gen-control.pl: Support substitutions in the Vcs-Git field
    (460.91.03-1).
  * Compute and substitute the Git branch instead of hardcoding it
    (460.91.03-1).
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Jul 2021 22:06:09 +0200

nvidia-graphics-drivers (418.197.02-1) buster; urgency=medium

  * New upstream Tesla release 418.197.02 (2021-04-19).
    * Fixed CVE-2021-1076.  (Closes: #987216)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5172

  [ Andreas Beckmann ]
  * nvidia-alternative: Add libnvidia-ml.so slave alternative if
    libnvidia-ml-dev is installed (460.56-2).  (Closes: #984881)
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 31 May 2021 11:40:00 +0200

nvidia-graphics-drivers (390.147-2) UNRELEASED; urgency=medium

  * Add xorg-video-abi-25 (Xorg Xserver 21) as alternative dependency.
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Feb 2022 18:28:11 +0100

nvidia-graphics-drivers (390.147-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.147 (2021-12-16).
    - Worked around a bug in Meson builds of libglvnd 1.3.0 that caused the
      nvidia_icd.json file to be installed in the wrong location.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Dec 2021 09:31:35 +0100

nvidia-graphics-drivers (390.144-2) UNRELEASED; urgency=medium

  * Backport drm_device_has_pdev and set_current_state changes from 470.63.01
    to fix kernel module build for Linux 5.14.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Sep 2021 21:13:35 +0200

nvidia-graphics-drivers (390.144-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.144 (2021-07-20).
    * Fixed CVE-2021-1093, CVE-2021-1094, CVE-2021-1095.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5211

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Jul 2021 18:15:32 +0200

nvidia-graphics-drivers (390.143-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.143 (2021-04-19).
    * Fixed CVE-2021-1076.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5172
    - Fixed a bug where vkCreateSwapchain could cause the X Server to crash
      when an invalid imageFormat was provided.
    - Fixed a driver installation failure on Linux kernel 5.11 release
      candidates, where the NVIDIA kernel module failed to build with error
      "fatal error: asm/kmap_types.h: No such file or directory".

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Apr 2021 02:04:19 +0200

nvidia-graphics-drivers (340.104-2) UNRELEASED; urgency=medium

  [ Luca Boccassi ]
  * Add timer.patch to fix kernel module build for Linux 4.15 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Jan 2018 03:08:52 +0100

nvidia-graphics-drivers (340.102-2) UNRELEASED; urgency=medium

  [ Luca Boccassi ]
  * Add set-memory.patch to fix kernel module build for Linux 4.12 and newer.
  * Add drm-unload.patch, fatal-signal.patch, and vm-fault.patch to fix kernel
    module build for Linux 4.11 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Jul 2017 00:26:32 +0200

nvidia-graphics-drivers (340.98-1) UNRELEASED; urgency=medium


