=== debian/control ===
--- 
+++ 
@@ -12,16 +12,17 @@
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.18.8),
- xz-utils,
  dkms,
  libvulkan1 (>= 1.0.42),
  libxext6,
+ po-debconf,
  quilt,
- po-debconf,
+ xz-utils,
  libglvnd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://www.nvidia.com
+Testsuite: autopkgtest-pkg-dkms
 XS-Autobuild: yes
 
 Package: nvidia-driver
@@ -74,6 +75,7 @@
 Pre-Depends:
  dpkg (>= 1.17.21),
  ${nvidia:legacy-check},
+ ${misc:Pre-Depends}
 Depends:
  glx-alternative-nvidia (>= 0.9),
  ${misc:Depends}
@@ -206,7 +208,6 @@
  ${nvidia:legacy-check},
 Depends:
  xserver-xorg-video-nvidia-legacy-390xx [${nvidia:arch:has-no-driver}],
- lib${nvidia}-glcore (= ${binary:Version}) [${nvidia:arch:has-driver}],
  ${nvidia}-alternative (= ${binary:Version}) [${nvidia:arch:has-driver}],
  nvidia-support [${nvidia:arch:has-driver}],
  ${nvidia:xorgDepends},
@@ -312,6 +313,7 @@
  libgles-${nvidia-}1 (= ${binary:Version}),
  libgles-${nvidia-}2 (= ${binary:Version}),
  lib${nvidia}-cfg1 (= ${binary:Version}) [${nvidia:arch:has-driver}],
+ lib${nvidia}-encode1 (= ${binary:Version}),
  ${nvidia}-vulkan-icd (= ${binary:Version}) [amd64 i386],
 Provides:
  nvidia-driver-libs-any,
