=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 LEGACY_CONTROL	:= $(wildcard $(patsubst %,debian/%*,$(CONTROL_PREFIXES_RENAMED)))
 RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
 RENAMED_CONTROL	 = $(foreach f,$(RENAME_CONTROL),$(call applyprefixrenamelist,$f,$(CONTROL_PREFIXES)))
-TEMPLATES	:= $(wildcard debian/*.in debian/module/debian/*.in debian/module/debian/patches/*.in debian/detect/*.in)
+TEMPLATES	:= $(wildcard debian/*.in debian/module/debian/*.in debian/module/debian/patches/*.in debian/detect/*.in debian/tests/*.in)
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= debian/module/debian/changelog
 AUTOGEN		+= debian/module/debian/bug-control
@@ -100,7 +100,9 @@
 AUTOGEN		+= debian/substvars
 AUTOGEN		+= $(if $(has_vulkan),glvnd/nvidia_icd.json nonglvnd/nvidia_icd.json)
 AUTOGEN		+= $(AUTOKEEP)
-AUTOKEEP	 = debian/watch debian/control
+AUTOKEEP	 = debian/watch
+AUTOKEEP	+= debian/tests/autopkgtest-pkg-dkms.conf
+AUTOKEEP	+= debian/control
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
 empty		 =
@@ -155,6 +157,7 @@
 	ln -s NVIDIA-Linux-$(DEB_HOST_ARCH) NVIDIA-Linux
 ifneq (,$(has_driver))
 	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
+	sed -i 's/==/=/g' NVIDIA-Linux/nvidia-bug-report.sh
 endif
 	ls -al
 	touch $@
@@ -169,9 +172,9 @@
 	sed 's/__NV_VK_ICD__/libGL.so.1/' $< > $@
 
 nv-readme.ids: unpack-stamp
-	sed	-e '0,/A. Supported\|APPENDIX A: SUPPORTED/d' \
-		-e '0,/Appendix A. Supported\|APPENDIX A: SUPPORTED/d' \
-		-e '0,/^Below\|APPENDIX B/{/ 0x/s/.*  0x\([0-9a-fA-F]\{4\}\).*/10de\1/p; /^.\{41\} [0-9a-fA-F]\{4\} /s/^.\{41\} \([0-9a-fA-F]\{4\}\) .*/10de\1/p};d' \
+	sed -r	-e '0,/A. Supported|APPENDIX A: SUPPORTED/d' \
+		-e '0,/Appendix A. Supported|APPENDIX A: SUPPORTED/d' \
+		-e '0,/^Below|APPENDIX B/{/ 0x/s/.*  0x([0-9a-fA-F]{4}).*/10de\1/p; /^(.{41}|.{49}) [0-9a-fA-F]{4} /s/^(.{41}|.{49}) ([0-9a-fA-F]{4}) .*/10de\2/p};d' \
 		NVIDIA-Linux/README.txt \
 		| tr a-f A-F | sort -u > $@
 	@set -e -x ; \
@@ -202,8 +205,3 @@
 override_dh_auto_clean:
 	$(RM) -r .pc
 	$(RM) NVIDIA-Linux
-	$(RM) -r $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
-	$(RM) -r build
-	$(RM) -r glvnd nonglvnd
-	$(RM) -r kernel-source-tree
-	$(RM) nvidia.ids nv-readme.ids pci.ids.nvidia*
